package com.inspect.ivs.domain;

public class RecordMediaURLParam extends RealMediaURLParam {
   private TimeSpan timeSpan = new TimeSpan();
   private String dstIP;
   private String nvrCode;
   private String fileName;

   public TimeSpan getTimeSpan() {
      return this.timeSpan;
   }

   public String getDstIP() {
      return this.dstIP;
   }

   public String getNvrCode() {
      return this.nvrCode;
   }

   public String getFileName() {
      return this.fileName;
   }

   public void setTimeSpan(TimeSpan timeSpan) {
      this.timeSpan = timeSpan;
   }

   public void setDstIP(String dstIP) {
      this.dstIP = dstIP;
   }

   public void setNvrCode(String nvrCode) {
      this.nvrCode = nvrCode;
   }

   public void setFileName(String fileName) {
      this.fileName = fileName;
   }

   public boolean equals(Object o) {
      if(o == this) {
         return true;
      } else if(!(o instanceof RecordMediaURLParam)) {
         return false;
      } else {
         RecordMediaURLParam other = (RecordMediaURLParam)o;
         if(!other.canEqual(this)) {
            return false;
         } else {
            label59: {
               Object this$timeSpan = this.getTimeSpan();
               Object other$timeSpan = other.getTimeSpan();
               if(this$timeSpan == null) {
                  if(other$timeSpan == null) {
                     break label59;
                  }
               } else if(this$timeSpan.equals(other$timeSpan)) {
                  break label59;
               }

               return false;
            }

            Object this$dstIP = this.getDstIP();
            Object other$dstIP = other.getDstIP();
            if(this$dstIP == null) {
               if(other$dstIP != null) {
                  return false;
               }
            } else if(!this$dstIP.equals(other$dstIP)) {
               return false;
            }

            Object this$nvrCode = this.getNvrCode();
            Object other$nvrCode = other.getNvrCode();
            if(this$nvrCode == null) {
               if(other$nvrCode != null) {
                  return false;
               }
            } else if(!this$nvrCode.equals(other$nvrCode)) {
               return false;
            }

            Object this$fileName = this.getFileName();
            Object other$fileName = other.getFileName();
            if(this$fileName == null) {
               if(other$fileName != null) {
                  return false;
               }
            } else if(!this$fileName.equals(other$fileName)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof RecordMediaURLParam;
   }

   public int hashCode() {
      int PRIME = 1;
      int result = 1;
      Object $timeSpan = this.getTimeSpan();
      result = result * 59 + ($timeSpan == null?43:$timeSpan.hashCode());
      Object $dstIP = this.getDstIP();
      result = result * 59 + ($dstIP == null?43:$dstIP.hashCode());
      Object $nvrCode = this.getNvrCode();
      result = result * 59 + ($nvrCode == null?43:$nvrCode.hashCode());
      Object $fileName = this.getFileName();
      result = result * 59 + ($fileName == null?43:$fileName.hashCode());
      return result;
   }

   public String toString() {
      return "RecordMediaURLParam(timeSpan=" + this.getTimeSpan() + ", dstIP=" + this.getDstIP() + ", nvrCode=" + this.getNvrCode() + ", fileName=" + this.getFileName() + ")";
   }
}
